<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>

<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>

<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/datepicker.css') ?>

<style type="text/css">
	#tabs { margin: 0 -10px -10px -10px }
	#prev_body_in_tab { width: 658px; height: 300px; overflow-y: scroll }
</style>

<script type="text/javascript">

var tiny = function (str) {
	tinyMCE.init({
		mode : "exact",
		elements: str,
		theme : "simple"
	});
}

</script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));

	var main_url = '/newsletter/online-news/';
	
	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 400
	});

	popup.addEvent('loaded', function () {
		
		new mootabs('subject-tabs', { width: null, height: 'auto' });
		
		var startDate = new Picker.Date('input[name=start_date]', { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, minDate: new Date().increment('day', 1) , format: 'd M Y' });
		var endDate = new Picker.Date('input[name=end_date]', { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, minDate: new Date().increment('day', 1) , format: 'd M Y' });
		
		$('activation_type').addEvent('change', function(){
			if ( this.get('value') == <?= Model_Newsletter_OnlineNews::ACTIVATION_TYPE_IMMEDIATELY ?>){
					$("start_date").set('value','').set('disabled',true);
					$("end_date").set('disabled',false);
					$$("input[name=start_date]").set('value', '');
					$("start_date").getParent().addClass('disabled');
					$("end_date").getParent().removeClass('disabled');
					
			}
			else if ( this.get('value') == <?= Model_Newsletter_OnlineNews::ACTIVATION_TYPE_EXACT_DATE ?>){
					$("start_date").set('disabled',false);
					$("start_date").getParent().removeClass('disabled');
					$("end_date").set('disabled',false);
					$("end_date").getParent().removeClass('disabled');
			}
			else{
					$("start_date").set('disabled',true);
					$("start_date").getParent().addClass('disabled');
					$("end_date").set('disabled',true);
					$("end_date").getParent().addClass('disabled');
			} 
		});
		
		$('activation_type').fireEvent('change');
		
		
	});

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'ID', field: 'id', type: 'integer', sortable: true , width: '30px'},
			{ title: ' ', field: 'status', type: 'ToggleOnlineNews', width: '20px'},
			{ title: 'Title', field: 'title', type: 'string', sortable: true, width: 200 },
			{ title: 'Subject', field: 'subject_en', type: 'string', sortable: false },
			{ title: 'Status', field: 'status', type: 'OnlineNewsStatus', sortable: false, width: 70 },
			{ title: 'Start Date', field: 'start_date', type: 'Date', sortable: false,width: 80 },
			{ title: 'End Date', field: 'end_date', type: 'Date', sortable: false ,width: 80}
		],
		sort: {
			field: 'id',
			dir: 'desc'
		},
		actions: [ { type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this entity ?') ) {
				this.overlay.disable();
				new Request({
					url: main_url + 'delete?id=' + data.id,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		} }, { type: 'edit', func: function (data) {
			popup.setTitle('Edit Online News');
			popup.load(main_url + 'edit?id=' + data.id, function () {
				this.open();
			});
		} } ],
		data: new Cubix.Grid.Loader({ url: main_url + 'data' })
	});

	grid.addEvent('loaded', function () {
		$$('.cx-grid-type-ToggleOnlineNews a').addEvent('click', function (e) {
				e.stop();
				new Request({
					url: this.get('href'),
					method: 'get',
					onSuccess: function(){
						grid.load();
					}
				}).send();
				
			});
	});
	
	new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Create Newsletter Template');
		popup.load(main_url + 'create', function () {
			this.open();
		});
	}, icon: 'add', caption: 'Create Online News', classes: 'mr10' });

	

	
};
</script>

<div class="action-bar">
	<a href="" id="btn-create"></a>
	
	<div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
